Index: XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 346)
+++ XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 347)
@@ -10,4 +10,5 @@
 #include "group_template_impl.hpp"
 #include "icutil.hpp"
+#include "timer.hpp"
 
 extern "C"
@@ -17,6 +18,8 @@
   void cxios_set_domaingroup_data_dim(domaingroup_Ptr domaingroup_hdl, int data_dim)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->data_dim.setValue(data_dim);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->data_dim);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -29,4 +32,5 @@
   void cxios_set_domaingroup_data_i_index(domaingroup_Ptr domaingroup_hdl, int* data_i_index, int extent1)
   {
+     CTimer::get("XIOS").resume();
     ARRAY(int,1) array_tmp(new CArray<int,1>(boost::extents[extent1]));
     std::copy(data_i_index, &(data_i_index[array_tmp->num_elements()]), array_tmp->data());
@@ -39,4 +43,5 @@
     if (!array_copy(domaingroup_hdl->data_i_index.getValue(), data_i_index, extent1))
      ERROR("void cxios_set_domaingroup_data_i_index(domaingroup_Ptr domaingroup_hdl, int* data_i_index, int extent1)",<<"Output array size is not conform to array size attribute") ;
+     CTimer::get("XIOS").suspend();
   }
   
@@ -44,6 +49,8 @@
   void cxios_set_domaingroup_data_ibegin(domaingroup_Ptr domaingroup_hdl, int data_ibegin)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->data_ibegin.setValue(data_ibegin);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->data_ibegin);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -56,4 +63,5 @@
   void cxios_set_domaingroup_data_j_index(domaingroup_Ptr domaingroup_hdl, int* data_j_index, int extent1)
   {
+     CTimer::get("XIOS").resume();
     ARRAY(int,1) array_tmp(new CArray<int,1>(boost::extents[extent1]));
     std::copy(data_j_index, &(data_j_index[array_tmp->num_elements()]), array_tmp->data());
@@ -66,4 +74,5 @@
     if (!array_copy(domaingroup_hdl->data_j_index.getValue(), data_j_index, extent1))
      ERROR("void cxios_set_domaingroup_data_j_index(domaingroup_Ptr domaingroup_hdl, int* data_j_index, int extent1)",<<"Output array size is not conform to array size attribute") ;
+     CTimer::get("XIOS").suspend();
   }
   
@@ -71,6 +80,8 @@
   void cxios_set_domaingroup_data_jbegin(domaingroup_Ptr domaingroup_hdl, int data_jbegin)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->data_jbegin.setValue(data_jbegin);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->data_jbegin);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -83,6 +94,8 @@
   void cxios_set_domaingroup_data_n_index(domaingroup_Ptr domaingroup_hdl, int data_n_index)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->data_n_index.setValue(data_n_index);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->data_n_index);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -95,6 +108,8 @@
   void cxios_set_domaingroup_data_ni(domaingroup_Ptr domaingroup_hdl, int data_ni)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->data_ni.setValue(data_ni);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->data_ni);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -107,6 +122,8 @@
   void cxios_set_domaingroup_data_nj(domaingroup_Ptr domaingroup_hdl, int data_nj)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->data_nj.setValue(data_nj);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->data_nj);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -121,12 +138,16 @@
     std::string domain_group_ref_str;
     if(!cstr2string(domain_group_ref, domain_group_ref_size, domain_group_ref_str)) return;
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->domain_group_ref.setValue(domain_group_ref_str);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->domain_group_ref);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_domaingroup_domain_group_ref(domaingroup_Ptr domaingroup_hdl, char * domain_group_ref, int domain_group_ref_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(domaingroup_hdl->domain_group_ref.getValue(),domain_group_ref , domain_group_ref_size))
       ERROR("void cxios_get_domaingroup_domain_group_ref(domaingroup_Ptr domaingroup_hdl, char * domain_group_ref, int domain_group_ref_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -136,12 +157,16 @@
     std::string group_ref_str;
     if(!cstr2string(group_ref, group_ref_size, group_ref_str)) return;
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->group_ref.setValue(group_ref_str);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->group_ref);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_domaingroup_group_ref(domaingroup_Ptr domaingroup_hdl, char * group_ref, int group_ref_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(domaingroup_hdl->group_ref.getValue(),group_ref , group_ref_size))
       ERROR("void cxios_get_domaingroup_group_ref(domaingroup_Ptr domaingroup_hdl, char * group_ref, int group_ref_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -149,6 +174,8 @@
   void cxios_set_domaingroup_ibegin(domaingroup_Ptr domaingroup_hdl, int ibegin)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->ibegin.setValue(ibegin);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->ibegin);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -161,6 +188,8 @@
   void cxios_set_domaingroup_iend(domaingroup_Ptr domaingroup_hdl, int iend)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->iend.setValue(iend);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->iend);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -173,6 +202,8 @@
   void cxios_set_domaingroup_jbegin(domaingroup_Ptr domaingroup_hdl, int jbegin)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->jbegin.setValue(jbegin);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->jbegin);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -185,6 +216,8 @@
   void cxios_set_domaingroup_jend(domaingroup_Ptr domaingroup_hdl, int jend)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->jend.setValue(jend);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->jend);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -197,4 +230,5 @@
   void cxios_set_domaingroup_latvalue(domaingroup_Ptr domaingroup_hdl, double* latvalue, int extent1)
   {
+     CTimer::get("XIOS").resume();
     ARRAY(double,1) array_tmp(new CArray<double,1>(boost::extents[extent1]));
     std::copy(latvalue, &(latvalue[array_tmp->num_elements()]), array_tmp->data());
@@ -207,4 +241,5 @@
     if (!array_copy(domaingroup_hdl->latvalue.getValue(), latvalue, extent1))
      ERROR("void cxios_set_domaingroup_latvalue(domaingroup_Ptr domaingroup_hdl, double* latvalue, int extent1)",<<"Output array size is not conform to array size attribute") ;
+     CTimer::get("XIOS").suspend();
   }
   
@@ -214,12 +249,16 @@
     std::string long_name_str;
     if(!cstr2string(long_name, long_name_size, long_name_str)) return;
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->long_name.setValue(long_name_str);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->long_name);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_domaingroup_long_name(domaingroup_Ptr domaingroup_hdl, char * long_name, int long_name_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(domaingroup_hdl->long_name.getValue(),long_name , long_name_size))
       ERROR("void cxios_get_domaingroup_long_name(domaingroup_Ptr domaingroup_hdl, char * long_name, int long_name_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -227,4 +266,5 @@
   void cxios_set_domaingroup_lonvalue(domaingroup_Ptr domaingroup_hdl, double* lonvalue, int extent1)
   {
+     CTimer::get("XIOS").resume();
     ARRAY(double,1) array_tmp(new CArray<double,1>(boost::extents[extent1]));
     std::copy(lonvalue, &(lonvalue[array_tmp->num_elements()]), array_tmp->data());
@@ -237,4 +277,5 @@
     if (!array_copy(domaingroup_hdl->lonvalue.getValue(), lonvalue, extent1))
      ERROR("void cxios_set_domaingroup_lonvalue(domaingroup_Ptr domaingroup_hdl, double* lonvalue, int extent1)",<<"Output array size is not conform to array size attribute") ;
+     CTimer::get("XIOS").suspend();
   }
   
@@ -242,4 +283,5 @@
   void cxios_set_domaingroup_mask(domaingroup_Ptr domaingroup_hdl, bool* mask, int extent1, int extent2)
   {
+     CTimer::get("XIOS").resume();
     ARRAY(bool,2) array_tmp(new CArray<bool,2>(boost::extents[extent1][extent2]));
     std::copy(mask, &(mask[array_tmp->num_elements()]), array_tmp->data());
@@ -252,4 +294,5 @@
     if (!array_copy(domaingroup_hdl->mask.getValue(), mask, extent1, extent2))
      ERROR("void cxios_set_domaingroup_mask(domaingroup_Ptr domaingroup_hdl, bool* mask, int extent1, int extent2)",<<"Output array size is not conform to array size attribute") ;
+     CTimer::get("XIOS").suspend();
   }
   
@@ -259,12 +302,16 @@
     std::string name_str;
     if(!cstr2string(name, name_size, name_str)) return;
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->name.setValue(name_str);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->name);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_domaingroup_name(domaingroup_Ptr domaingroup_hdl, char * name, int name_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(domaingroup_hdl->name.getValue(),name , name_size))
       ERROR("void cxios_get_domaingroup_name(domaingroup_Ptr domaingroup_hdl, char * name, int name_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -272,6 +319,8 @@
   void cxios_set_domaingroup_ni(domaingroup_Ptr domaingroup_hdl, int ni)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->ni.setValue(ni);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->ni);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -284,6 +333,8 @@
   void cxios_set_domaingroup_ni_glo(domaingroup_Ptr domaingroup_hdl, int ni_glo)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->ni_glo.setValue(ni_glo);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->ni_glo);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -296,6 +347,8 @@
   void cxios_set_domaingroup_nj(domaingroup_Ptr domaingroup_hdl, int nj)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->nj.setValue(nj);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->nj);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -308,6 +361,8 @@
   void cxios_set_domaingroup_nj_glo(domaingroup_Ptr domaingroup_hdl, int nj_glo)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->nj_glo.setValue(nj_glo);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->nj_glo);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -322,12 +377,16 @@
     std::string standard_name_str;
     if(!cstr2string(standard_name, standard_name_size, standard_name_str)) return;
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->standard_name.setValue(standard_name_str);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->standard_name);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_domaingroup_standard_name(domaingroup_Ptr domaingroup_hdl, char * standard_name, int standard_name_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(domaingroup_hdl->standard_name.getValue(),standard_name , standard_name_size))
       ERROR("void cxios_get_domaingroup_standard_name(domaingroup_Ptr domaingroup_hdl, char * standard_name, int standard_name_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -335,6 +394,8 @@
   void cxios_set_domaingroup_zoom_ibegin(domaingroup_Ptr domaingroup_hdl, int zoom_ibegin)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_ibegin.setValue(zoom_ibegin);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_ibegin);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -347,6 +408,8 @@
   void cxios_set_domaingroup_zoom_ibegin_loc(domaingroup_Ptr domaingroup_hdl, int zoom_ibegin_loc)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_ibegin_loc.setValue(zoom_ibegin_loc);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_ibegin_loc);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -359,6 +422,8 @@
   void cxios_set_domaingroup_zoom_jbegin(domaingroup_Ptr domaingroup_hdl, int zoom_jbegin)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_jbegin.setValue(zoom_jbegin);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_jbegin);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -371,6 +436,8 @@
   void cxios_set_domaingroup_zoom_jbegin_loc(domaingroup_Ptr domaingroup_hdl, int zoom_jbegin_loc)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_jbegin_loc.setValue(zoom_jbegin_loc);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_jbegin_loc);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -383,6 +450,8 @@
   void cxios_set_domaingroup_zoom_ni(domaingroup_Ptr domaingroup_hdl, int zoom_ni)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_ni.setValue(zoom_ni);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_ni);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -395,6 +464,8 @@
   void cxios_set_domaingroup_zoom_ni_loc(domaingroup_Ptr domaingroup_hdl, int zoom_ni_loc)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_ni_loc.setValue(zoom_ni_loc);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_ni_loc);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -407,6 +478,8 @@
   void cxios_set_domaingroup_zoom_nj(domaingroup_Ptr domaingroup_hdl, int zoom_nj)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_nj.setValue(zoom_nj);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_nj);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -419,6 +492,8 @@
   void cxios_set_domaingroup_zoom_nj_loc(domaingroup_Ptr domaingroup_hdl, int zoom_nj_loc)
   {
+     CTimer::get("XIOS").resume();
     domaingroup_hdl->zoom_nj_loc.setValue(zoom_nj_loc);
     domaingroup_hdl->sendAttributToServer(domaingroup_hdl->zoom_nj_loc);
+     CTimer::get("XIOS").suspend();
   }
   
Index: XIOS/trunk/src/interface/c_attr/icfield_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfield_attr.cpp	(revision 346)
+++ XIOS/trunk/src/interface/c_attr/icfield_attr.cpp	(revision 347)
@@ -10,4 +10,5 @@
 #include "group_template_impl.hpp"
 #include "icutil.hpp"
+#include "timer.hpp"
 
 extern "C"
@@ -19,12 +20,16 @@
     std::string axis_ref_str;
     if(!cstr2string(axis_ref, axis_ref_size, axis_ref_str)) return;
+     CTimer::get("XIOS").resume();
     field_hdl->axis_ref.setValue(axis_ref_str);
     field_hdl->sendAttributToServer(field_hdl->axis_ref);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_field_axis_ref(field_Ptr field_hdl, char * axis_ref, int axis_ref_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(field_hdl->axis_ref.getValue(),axis_ref , axis_ref_size))
       ERROR("void cxios_get_field_axis_ref(field_Ptr field_hdl, char * axis_ref, int axis_ref_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -32,6 +37,8 @@
   void cxios_set_field_default_value(field_Ptr field_hdl, double default_value)
   {
+     CTimer::get("XIOS").resume();
     field_hdl->default_value.setValue(default_value);
     field_hdl->sendAttributToServer(field_hdl->default_value);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -46,12 +53,16 @@
     std::string domain_ref_str;
     if(!cstr2string(domain_ref, domain_ref_size, domain_ref_str)) return;
+     CTimer::get("XIOS").resume();
     field_hdl->domain_ref.setValue(domain_ref_str);
     field_hdl->sendAttributToServer(field_hdl->domain_ref);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_field_domain_ref(field_Ptr field_hdl, char * domain_ref, int domain_ref_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(field_hdl->domain_ref.getValue(),domain_ref , domain_ref_size))
       ERROR("void cxios_get_field_domain_ref(field_Ptr field_hdl, char * domain_ref, int domain_ref_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -59,6 +70,8 @@
   void cxios_set_field_enabled(field_Ptr field_hdl, bool enabled)
   {
+     CTimer::get("XIOS").resume();
     field_hdl->enabled.setValue(enabled);
     field_hdl->sendAttributToServer(field_hdl->enabled);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -73,12 +86,16 @@
     std::string field_ref_str;
     if(!cstr2string(field_ref, field_ref_size, field_ref_str)) return;
+     CTimer::get("XIOS").resume();
     field_hdl->field_ref.setValue(field_ref_str);
     field_hdl->sendAttributToServer(field_hdl->field_ref);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_field_field_ref(field_Ptr field_hdl, char * field_ref, int field_ref_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(field_hdl->field_ref.getValue(),field_ref , field_ref_size))
       ERROR("void cxios_get_field_field_ref(field_Ptr field_hdl, char * field_ref, int field_ref_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -88,12 +105,16 @@
     std::string freq_offset_str;
     if(!cstr2string(freq_offset, freq_offset_size, freq_offset_str)) return;
+     CTimer::get("XIOS").resume();
     field_hdl->freq_offset.setValue(freq_offset_str);
     field_hdl->sendAttributToServer(field_hdl->freq_offset);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_field_freq_offset(field_Ptr field_hdl, char * freq_offset, int freq_offset_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(field_hdl->freq_offset.getValue(),freq_offset , freq_offset_size))
       ERROR("void cxios_get_field_freq_offset(field_Ptr field_hdl, char * freq_offset, int freq_offset_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -103,12 +124,16 @@
     std::string freq_op_str;
     if(!cstr2string(freq_op, freq_op_size, freq_op_str)) return;
+     CTimer::get("XIOS").resume();
     field_hdl->freq_op.setValue(freq_op_str);
     field_hdl->sendAttributToServer(field_hdl->freq_op);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_field_freq_op(field_Ptr field_hdl, char * freq_op, int freq_op_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(field_hdl->freq_op.getValue(),freq_op , freq_op_size))
       ERROR("void cxios_get_field_freq_op(field_Ptr field_hdl, char * freq_op, int freq_op_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -118,12 +143,16 @@
     std::string grid_ref_str;
     if(!cstr2string(grid_ref, grid_ref_size, grid_ref_str)) return;
+     CTimer::get("XIOS").resume();
     field_hdl->grid_ref.setValue(grid_ref_str);
     field_hdl->sendAttributToServer(field_hdl->grid_ref);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_field_grid_ref(field_Ptr field_hdl, char * grid_ref, int grid_ref_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(field_hdl->grid_ref.getValue(),grid_ref , grid_ref_size))
       ERROR("void cxios_get_field_grid_ref(field_Ptr field_hdl, char * grid_ref, int grid_ref_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -131,6 +160,8 @@
   void cxios_set_field_level(field_Ptr field_hdl, int level)
   {
+     CTimer::get("XIOS").resume();
     field_hdl->level.setValue(level);
     field_hdl->sendAttributToServer(field_hdl->level);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -145,12 +176,16 @@
     std::string long_name_str;
     if(!cstr2string(long_name, long_name_size, long_name_str)) return;
+     CTimer::get("XIOS").resume();
     field_hdl->long_name.setValue(long_name_str);
     field_hdl->sendAttributToServer(field_hdl->long_name);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_field_long_name(field_Ptr field_hdl, char * long_name, int long_name_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(field_hdl->long_name.getValue(),long_name , long_name_size))
       ERROR("void cxios_get_field_long_name(field_Ptr field_hdl, char * long_name, int long_name_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -160,12 +195,16 @@
     std::string name_str;
     if(!cstr2string(name, name_size, name_str)) return;
+     CTimer::get("XIOS").resume();
     field_hdl->name.setValue(name_str);
     field_hdl->sendAttributToServer(field_hdl->name);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_field_name(field_Ptr field_hdl, char * name, int name_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(field_hdl->name.getValue(),name , name_size))
       ERROR("void cxios_get_field_name(field_Ptr field_hdl, char * name, int name_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -175,12 +214,16 @@
     std::string operation_str;
     if(!cstr2string(operation, operation_size, operation_str)) return;
+     CTimer::get("XIOS").resume();
     field_hdl->operation.setValue(operation_str);
     field_hdl->sendAttributToServer(field_hdl->operation);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_field_operation(field_Ptr field_hdl, char * operation, int operation_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(field_hdl->operation.getValue(),operation , operation_size))
       ERROR("void cxios_get_field_operation(field_Ptr field_hdl, char * operation, int operation_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -188,6 +231,8 @@
   void cxios_set_field_prec(field_Ptr field_hdl, int prec)
   {
+     CTimer::get("XIOS").resume();
     field_hdl->prec.setValue(prec);
     field_hdl->sendAttributToServer(field_hdl->prec);
+     CTimer::get("XIOS").suspend();
   }
   
@@ -202,12 +247,16 @@
     std::string standard_name_str;
     if(!cstr2string(standard_name, standard_name_size, standard_name_str)) return;
+     CTimer::get("XIOS").resume();
     field_hdl->standard_name.setValue(standard_name_str);
     field_hdl->sendAttributToServer(field_hdl->standard_name);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_field_standard_name(field_Ptr field_hdl, char * standard_name, int standard_name_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(field_hdl->standard_name.getValue(),standard_name , standard_name_size))
       ERROR("void cxios_get_field_standard_name(field_Ptr field_hdl, char * standard_name, int standard_name_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
@@ -217,12 +266,16 @@
     std::string unit_str;
     if(!cstr2string(unit, unit_size, unit_str)) return;
+     CTimer::get("XIOS").resume();
     field_hdl->unit.setValue(unit_str);
     field_hdl->sendAttributToServer(field_hdl->unit);
+     CTimer::get("XIOS").suspend();
   }
   
   void cxios_get_field_unit(field_Ptr field_hdl, char * unit, int unit_size)
   {
+     CTimer::get("XIOS").resume();
     if(!string_copy(field_hdl->unit.getValue(),unit , unit_size))
       ERROR("void cxios_get_field_unit(field_Ptr field_hdl, char * unit, int unit_size)", <<"Input string is to short");
+     CTimer::get("XIOS").suspend();
   }
   
